.button {
    text-decoration: none;
    font-weight: bold;
    padding: 0;
    &:hover,
    &:focus {
        background-color: $background-hover;
    }
    // erase jive rendered exteranl and internal icon images
    &:after {
        display: none;
    }
    &.secondary {
        &:hover,
        &:focus {
            background-color: $primary-color;
        }
    }
    >a{
       @include prx-button();
    }
    &.button--no-arrow {
        >a{
            padding-right: $spacing-medium;
             &:before {
                display: none;

            }
        }
        >[class^="proxicon-"] {
            padding: 12px $spacing-medium;
            display: inherit;
        }
    }
    &[loading="true"] {
        [class^="proxicon-"],
        [class*=" proxicon-"] {
            display: inherit;
            animation: spin .5s linear infinite;
        }
        [class^="proxicon-Addition"] {
            transform-origin: 50% 48%;
        }
    }
}

@-moz-keyframes spin {
    100% {
        -moz-transform: rotate(360deg);
    }
}

@-webkit-keyframes spin {
    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}